"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryBehaviourSubject = void 0;
/**
 * Creates a query for the specified BehaviourSubject
 *
 * @example
 * ```ts
 * const source = new BehaviourSubject(1);
 * const query = queryBehaviourSubject(source);

 * const result = compute((get) => get(query) + 1);

 * expect(result.get()).toBe(2)
 * ```
 */
function queryBehaviourSubject(source) {
    return { get: () => source.value, value$: source };
}
exports.queryBehaviourSubject = queryBehaviourSubject;
//# sourceMappingURL=queryUtils.js.map