"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeFromArray = exports.isReadonlyArray = exports.OBJECT_COMPARATOR = exports.DEFAULT_COMPARATOR = void 0;
exports.DEFAULT_COMPARATOR = Object.is;
const hasOwnProperty = Object.prototype.hasOwnProperty;
/**
 * Makes shallow comparison of two objects.
 */
const OBJECT_COMPARATOR = (objA, objB) => {
    if (objA === objB) {
        return true;
    }
    const keysA = Object.keys(objA);
    const keysB = Object.keys(objB);
    if (keysA.length !== keysB.length) {
        return false;
    }
    for (let i = 0; i < keysA.length; i++) {
        const key = keysA[i];
        if (!hasOwnProperty.call(objB, key) || objA[key] !== objB[key]) {
            return false;
        }
    }
    return true;
};
exports.OBJECT_COMPARATOR = OBJECT_COMPARATOR;
function isReadonlyArray(value) {
    return Array.isArray(value);
}
exports.isReadonlyArray = isReadonlyArray;
function removeFromArray(source, item) {
    if (!source)
        return undefined;
    const clone = Array.from(source);
    const index = clone.indexOf(item);
    if (index >= 0) {
        clone.splice(index, 1);
    }
    return clone;
}
exports.removeFromArray = removeFromArray;
//# sourceMappingURL=utils.js.map